Skip to main content
GET
cURL

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
name,
-name,
created_at,
-created_at,
next_run_at,
-next_run_at,
last_run_at,
-last_run_at
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • organisation: Filter by organisation ID, e.g. eq(organisation,<id>).
  • query: Filter by the saved query the report runs, e.g. eq(query,<id>).
  • owner: Filter by the user the report runs as, e.g. eq(owner,<id>).
  • state: Filter by whether the report is running to its schedule, e.g. eq(state,active).
  • format: Filter by delivery format, e.g. eq(format,csv).
  • name: Filter by name, e.g. contains(name,weekly).

For more information on using named filters, see the docs

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation,
query,
owner

Response

List of reports.

JSON API response object

data
A list of reports · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a report is returned.

An organisation